Jump to content

clocki

Members
  • Content Count

    40
  • Joined

  • Last visited

  • Days Won

    1

clocki last won the day on November 29 2016

clocki had the most liked content!

1 Follower

About clocki

  • Rank
    Novato
  • Birthday August 24

Profile Information

  • Gender
    Array
  • Location
    Array

Contact Methods

  • Discord
    Array

Recent Profile Visitors

1,411 profile views
  1. Muchas gracias caanmasu y otro like más
  2. En lo personal opino como Anthony's yo empezaría por Martysama, o puedes tirar hacía los Savage o Rage 2019, para empezar a aprender están bien llevan base Marty. Aunque lo que más te recomiendo es que seas persistente y no te des por vencido, porqué a veces salen problemas y te rompes la cabeza, y en google si buscas encuentras muchas cosas.
  3. Pues con Visual Studio 2015, de hecho si vas al source del cliente el proyecto cuando cargas en el Visual Studio en este caso, Metin2Client.sln si lo abres desde el bloc de notas de Windows o un editor de texto cualquiera, verás esto: Microsoft Visual Studio Solution File, Format Version 12.00 # Visual Studio 15 VisualStudioVersion = 15.0.28307.329 MinimumVisualStudioVersion = 10.0.40219.1 Aquí ya te da toda la info. Saludos!
  4. Primero de todo, disculpa por escribir despues de tanto tiempo en este hilo, lo otro guía muy muy básica. Para mejorar, y explicar el que hace cada comando, creo que te has dejado, un comando importante que es para actualizar el sistema el "freebsd-update fetch install" ya que para mi es de las primeras cosas, para actualizaciones de seguridad o fallos como los certificados ssl que caducaron y ya en FreeBSD 13 (la actual cuando escribo esto) te descarga los nuevos, ya sé que no es un tema prioritario en un VPS o dedicado que corra solo metin, pero puede actualizaciones de seguridad importantes. Otra cosa que no entiendo, es porqué instalas paquetes como gcc makedepend gmake subversion, etc .. que son para compilar, cuando muchas bases de Metin no están preparadas para compilar en un sistema de 64 bits, el paquete gcc hay que ver que versión usa los files que vas a usar, algunos antiguos llevan gcc48 o gcc49 otros son gcc7 o gcc9, por no hablar que algunos usan CLANG. Eso se puede saber viendo el fichero Makefile que hay dentro de src/game o src/db entre otras, igual que en el cliente viendo con el bloc de notas de Windows mismo, que Visual Studio se uso para compilar. Muchos files al no poder ser compilados en 64bits, necesitas compilarlos como decía en 32bits lo cual puedes hacer un jail en FreeBSD y de ahí tener ese jail de 32bit y ya podrías compilar (si los paquetes no están obsoletos) en el handbook de FreeBSD [Hidden Content] lo explica como hacerlo, si bien es mejor tener la típica VDI o OVA de una FreeBSD 9.3 o 11.4, compilarlo ahí y luego el binario llevarselo al VPS con sus permisos 777. Creo en mi humilde opinión que te falta instalar los compat7x compat8x etc ... Y lo del mysql en /etc/rc.conf si bien puedes ponerlo a mano con un editor vi o nano, puedes simplificar más aún con un "sysrc mysql_enable="YES". No te lo tomes a mal, pero solo quería puntualizar alguna cosa, ya que FreeBSD no tiene la comunidad que tiene Linux, y hay que tirar mucho de handbook y las comunidades son mucho más pequeñas y con muchisimo menos soporte. Me dejo de alguna cosa de seguridad, que eso daría para muchisimo y no es mi intención.
  5. Gracias por compartir, una aplicación tan interesante y traerlo limpio, se agradece.
  6. De entrada se ve interesante el servidor, y lo más importante por fin veo un servidor diferente, vamos que no es el típico servidor que hay por los foros, lo traducen y ya. Casi con toda seguridad lo juegue, porqué se ve muy bonito. Bonita presentación y servidor que se ve muy muy interesante. Mucha suerte!! algún servidor así de interesante faltaba de habla hispana.
  7. No sé que conocimientos tengas, pero personalmente solo puedo decirte, que le des un vistazo a lo más básico de FreeBSD, porqué son files de lo más sencillo de instalar, en la parte de servidor va con MySQL 5.6 y Python 2.7 para arrancar. Para el makepack, solo necesitas tener en Windows instalado Python 2.7.18 descárgalo desde aquí: [Hidden Content] Por lo que veo, no son los Wonder, son los WoM2 pero vamos, para el caso patatas, es lo mismo prácticamente (no confundas con WoM2 34k que hay posteados por aquí). Si por cada files, hay que hacer un video, sería una locura, lo importante es que aprendas un poquito sobre FreeBSD, ánimo !!!
  8. Al final como dice [D]ELARO lo único que conseguirás es eso que el mismo te dice. Yo el único consejo que puedo darte, si no te manejas con C/C++ Python y LUA, es buscar un DEV pero cuando digo un DEV, es un DEV de verdad un desarrollador que sepa programar en C/C++ Python y LUA (hay muy poquitos) y le pagas por sus servicios, eso si prepara billetes porqué vale mucho dinero, que un desarrollador te dedique horas. Yo en este foro solo conozco a uno. Si no siempre puedes comprar los sistemas, o lo que quieras y hablar con alguien que sepa implementar correctamente lo que buscas. Huye porqué hay mucho timador que vende cualquier mierda y hace el agosto, de hecho hay muchos que se hacen llamar DEV y por no saber no saben ni declarar un par de variables en C/C++ Suerte!
  9. Esto te ocurre, porqué los PKG_SITES (o sea los mirrors) de esta versión de FreeBSD están obsoletos desde el 31 de diciembre del 2016. Tendrás conexión a internet, pero no podrás hacer ningún tipo de instalación que yo sepa no hay ningún repositorio de una versión tan antigua, a fecha de hoy está en soporte la 12.3 y la 13.0 Lo único que puedes hacer, es descargarte la ISO de FreeBSD 9.3 desde aquí es la version de 32bit imagino que lo querrás para compilar algún source, si tienes otra arquitectura por ejemplo de 64bit mira bien aquí en este repo. Tendrás de instalar los paquetes desde el DVD (es decir desde la ISO del DVD de la FreeBSD 9.3) en el directorio /dist # mkdir -p /dist # mount -t cd9660 /dev/cd0 /dist Por ejemplo para instalar python la versión 2.7 # env REPOS_DIR =/dist/packages/repos pkg install python27 Y para ver los paquetes que tienes disponibles en el DVD # env REPOS_DIR=/dist/packages/repos pkg rquery "%n" Aunque si quieres una máquina virtual para compilar, siempre puedes dejarte de comerte la cabeza y usar por ejemplo aquí [Hidden Content] el nombre de usuario es root y la pass dev O aquí mismo tienes un vdi
  10. Creo que el packer funciona los del Ephelion .. Actualizo El .makepack del ephelion funciona, ya lo he probado, solo hay que crear una carpeta con .makepack y .client y dentro de client crear la carpeta pack y ahi irá todo el Makepack, lo que dije del packer no tiene nada que ver ... Dejo evidencia: [Hidden Content]
  11. Muchas gracias por subir estas armas, que aunque son antiguas, hay varias que me encantan tanto el diseño como los recuerdos que me traen.
  12. No entiendo porqué tanto interés en estos files, no dejan de ser lo mismo que los Prometa y varios más, ya solo el cliente tiene fuga de memoria que a saber que sistema lo provoca. Es pura basura, para mi es mucho mejor agarrar una base sólida y trabajar con ellos y dejarlo al gusto de cada uno, en vez de gastar tiempo en esto.
×
×
  • Create New...